Class AssetManager

Declaration :

- C++ : class AssetManager

Facade for the Asset subsystem

Artifact : assetmanager

Operation getID

Declaration :

- Uml : static, + getID(in idi : Asset) :
- C++ : public: static getID ()

Operation getAsset

Declaration :

- Uml : + getAsset(in id : long) : KIND, exceptions : Invalid
- C++ : public: template<class KIND> KIND getAsset (long & id) throw (Invalid)

find and return corresponging object

Operation known

Declaration :

- Uml : + known(in id : long) : bool
- C++ : public: bool known (long id)

@return true if the given id is registered in the internal asset DB

Operation remove

Declaration :

- Uml : + remove(in id : long) : void, exceptions : Invalid, State
- C++ : public: void remove (long id) throw (Invalid, State)

remove the given asset <i>together with all its dependants</i> from the internal DB

Operation reg

Declaration :

- Uml : static, # reg(inout name : string, inout category : string, inout org : string, inout uint : version) : long, exceptions : Invalid
- C++ : protected: static long reg (string & name, string & category, string & org, version& uint) throw (Invalid)

registers an asset object in the internal DB, providing its unique key

Relation registry (<unidirectional association>)

Declaration :

- Uml : # registry : DB, multiplicity : 1
- C++ : protected: DB* registry

@internal Table or DB holding all registered asset instances.

All public operations : getAsset , getID , known , remove